const { faker } = require('@faker-js/faker');
const fs = require('fs');

const generateUsers = function (itemCount) {
  const users = []

  for (let index = 1; index < itemCount; index++) {
    users.push(newFakedUser());
  }

  return users;
}

function newFakedUser() {
  const firstName = faker.name.firstName();
  const lastName = faker.name.lastName();
  const email = faker.internet.email()
  const id = faker.datatype.uuid();

  return {
    "id": id,
    "firstName": firstName,
    "lastName": lastName,
    "email": email,
    "image": faker.image.avatar(),
  }
}

module.exports = generateUsers