const { faker } = require("@faker-js/faker");

const generateVendors = function (itemCount) {
  const vendors = [];

  for (let index = 1; index < itemCount; index++) {
    vendors.push(newFakedVendor());
  }

  return vendors;
};

function newFakedVendor() {
  const firstName = faker.name.firstName();
  const lastName = faker.name.lastName();
  const email = faker.internet.email();
  const id = faker.datatype.uuid();

  return {
    id: id,
    firstName: firstName,
    lastName: lastName,
    email: email,
    country: faker.address.country(),
    city: faker.address.cityName(),
    image: faker.image.avatar(),
  };
}

module.exports = generateVendors;
